# FinEtoolsDeforLinear Documentation


The [`FinEtools`](https://petrkryslucsd.github.io/FinEtools.jl/latest/index.html) package is used here to solve linear deformation static and dynamic problems.

Tutorials  are provided in the form of Julia scripts and Markdown files in a dedicated folder: [`index of tutorials`](https://github.com/PetrKryslUCSD/FinEtoolsDeforLinear.jl/blob/main/tutorials/index.md). 

```@contents
```

## Conceptual guide

The construction of the toolkit is described: the composition of modules, the basic data structures, the methodology of computing quantities required in the finite element methodology, and more.

```@contents
Pages = [
    "guide/guide.md",
]
Depth = 1
```

## Manual

The description of the types and the functions, organized by module and/or other logical principle.

```@contents
Pages = [
    "man/man.md",
]
Depth = 2
```

## Tutorials

The [tutorials](https://github.com/PetrKryslUCSD/FinEtoolsDeforLinear.jl) are provided in the form of Julia scripts and Markdown files in the `tutorials` folder. 
