# Tutorials for `FinEtoolsDeforLinear`

## Statics

- [Cook membrane, plane stress](Cook-plane-stress_tut.md) Well-known benchmark.
- [Composite benchmark R0031-3](R0031-3-Composite-benchmark_tut.md) NAFEMS sandwich plate benchmark.
- [Twisted beam, export to Abaqus](twisted_beam-export-to-abaqus_tut.md) Another well-known benchmark.

## Dynamics

- [Nearly incompressible cube vibration](unit_cube_modes_tut.md) Vibration of squishy cube.
- [Nearly incompressible cube vibration, alternative models](unit_cube_modes_alt_tut.md)
- [13H benchmark, forced vibration](TEST13H_tut.md) NAFEMS 13H beam forced-vibration benchmark
- [13H benchmark, forced vibration, modal model](TEST13H_mod_tut.md) NAFEMS 13H beam forced-vibration benchmark with a modal model.
- [13H benchmark, forced vibration, parallel execution](TEST13H_par_tut.md) NAFEMS 13H beam forced-vibration benchmark with a modal model. Parallel.
- [FV32 benchmark, free vibration of trapezoidal membrane](FV32_tut.md) NAFEMS plane-stress vibration benchmark.
- [Transient deformation of a cantilever beam](bending_wave_Ray_tut.md)
- [Transient deformation of a cantilever beam, lumped mass matrix](bending_wave_Ray_lumped_tut.md)
- [Transient deformation of a cantilever beam, centered difference](bending_wave_Ray_expl_cd_tut.md)
- [Beam under on/off loading: transient response](beam_load_on_off_tut.md)
- [Suddenly-stopped bar: CD explicit](sudden_stop_expl_cd_tut.md) Transient simulation with center difference integration.
- [Suddenly-stopped bar: TW explicit](sudden_stop_expl_tw_tut.md) Transient simulation with Tchamwa-Wielgosz integration.
